# Home

This code track contains the numerical research and development of the Ghent Quantum Group with regard to tensor network simulation in the julia language. The purpose of this package is to facilitate efficient collaboration between different members of the group.

Topics of research on tensor networks within the realm of this track include:

- Tensor network algorithms (excitations, tdvp, vumps, ...)
- MPS routines (MPS diagonalization, Schmidt Decomposition, MPS left and right multiplication, ...)
- The study of several useful models (nearest neighbour interactions, MPO's, long range interactions, ...)

## User manual
```@contents
Pages = ["man/intro.md","man/states.md","man/operators.md","man/algorithms.md"]
Depth = 3
```

## Tutorials
```@contents
Pages = ["tut/xxz_groundstate.md","tut/timeev.md"]
Depth = 1
```


## Library outline
```@contents
Pages = ["lib/lib.md"]
Depth = 1
```
